import { pinkLog } from '@/hook/utils';
import { reactive } from 'vue';


export const crossDotStyle = reactive({
    options: [
        {
            value: 'slice',
            text: '拆分符',
            icon: 'iconfont icon-connection-style-slice'
        },
        {
            value: 'connect',
            text: '直连符',
            icon: 'iconfont icon-connection-style-connect'
        },
        {
            value: 'concat',
            text: '合并符',
            icon: 'iconfont icon-connection-style-concat'
        }
    ]
});

export function onConnectStyleChange(style) {
    pinkLog('连接样式修改为: ' + style);
}